regen-makefile.sh: Exit with clear error if ttcn3 bin not found

Change-Id: I866a758ec472968f368866e3b3b24dc6f14ac7cb
diff --git a/regen-makefile.sh b/regen-makefile.sh
index e89b3ee..7edd783 100755
--- a/regen-makefile.sh
+++ b/regen-makefile.sh
@@ -10,6 +10,8 @@
 # unstable, so far tested with TITAN 6.1.0, 6.2.0 and 6.3.0
 #
 
+test -x "$(which ttcn3_makefilegen 2>/dev/null)" || { echo "ERROR: ttcn3_makefilegen not in PATH"; exit 1; }
+
 ttcn3_makefilegen -l -f $*
 sed -i -e 's/# TTCN3_DIR = /TTCN3_DIR = \/usr/' Makefile
 sed -i -e 's/LDFLAGS = /LDFLAGS = -L \/usr\/lib\/titan /' Makefile